/* main.c のグローバル変数へのアクセス用ヘッダ */
#ifndef MAIN_H
#define MAIN_H

#include "cytypes.h"

/* PCからの制御コマンド(終端コード無しの1文字コマンド) */
#define COMMAND_START   ('a')
#define COMMAND_STOP    ('z')
/* 現在の制御ステート */
#define STATE_START     (1)
#define STATE_STOP      (2)
/* AD変換総チャンネル数 */
#define ADC_CHANNEL     (1)

/* AD変換の上下限リミット
 * AD変換入力電圧が、仕様上下限を超過した場合、
 * AD変換結果も上下限を超過する可能性がある。
 * ( ex. 12bit ADC なのに -2048, 2047超 )
 * AD変換結果を上下限で飽和させるための、上下限値指定。
 */
#define ADC_MIN     (-2048)
#define ADC_MAX     (2047)
/* AD変換結果の格納変数 */
extern volatile int16 adc_result[ADC_CHANNEL];
/* AD変換スタンバイ時0, AD変換完了時 > 0 とするフラグ */
extern volatile int8  adc_done_flag;
extern volatile uint16 dummy_data;
#endif /* MAIN_H */ 
/* [] END OF FILE */
